<?php
use WooBooking\CMS\Utilities\Utility;defined('_WPBOOKINGPRO_EXEC') or die;
extract($displayData);
WpBookingPro_HtmlFrontend::_('jquery.framework');
WpBookingPro_HtmlFrontend::_('jquery.select2');
$list = '';
if ($options) {
	$list = 'list="' . $id . '_datalist"';
}
$autocomplete = !$autocomplete ? ' autocomplete="off"' : ' autocomplete="' . $autocomplete . '"';
$autocomplete = $autocomplete === ' autocomplete="on"' ? '' : $autocomplete;
$attributes = array(
	!empty($class) ? 'class="' . $class . '"' : '',
	!empty($size) ? 'size="' . $size . '"' : '',
	$disabled ? 'disabled' : '',
	$readonly ? 'readonly' : '',
	$list,
	strlen($hint) ? 'placeholder="' . htmlspecialchars($hint, ENT_COMPAT, 'UTF-8') . '"' : '',
	$onchange ? ' onchange="' . $onchange . '"' : '',
	!empty($maxLength) ? $maxLength : '',
	$required ? 'required aria-required="true"' : '',
	$autocomplete,
	$autofocus ? ' autofocus' : '',
	$spellcheck ? '' : 'spellcheck="false"',
	!empty($inputmode) ? $inputmode : '',
	!empty($pattern) ? 'pattern="' . $pattern . '"' : '',
);
$id_by_name = "element_field_" . str_replace(array('[', ']'), '_', $name);
$name_format = str_replace(array('[', ']'), '_', $name);
$data = $displayData['field']->getForm()->getData();
$modelServices = WoobookingModel::getInstance('services');
$list = $modelServices->getList();
$list_time = [];
$list_service_id = [];
if (!is_array($value)) {
	$list_service_id[] = $value;
} else {
	$list_service_id = $value;
}
?>
    <div class="<?php esc_html_e($class); ?> field-services field-services-<?php esc_html_e($name_format); ?>">
        <select name="<?php esc_html_e($name); ?>" <?php echo($multiple ? ' multiple ' : ''); ?>class="list-service">
            <option value=""><?php esc_attr_e('Select service','wpbookingpro') ?></option>
			<?php foreach ($list as $item) { ?>
                <option <?php echo(in_array($item->id, $list_service_id) ? ' selected ' : '') ?> value="<?php esc_html_e($item->id); ?>"><?php esc_html_e($item->name); ?></option>
			<?php } ?>
        </select>
    </div>
<?php
$doc = Factory::getDocument();
$doc->addLessStylesheet('nb_apps/nb_woobooking/layouts/WooBooking/form/field/services.less');
$doc->addScriptApplySelector('.field-services','field_services',array(
    "field_name"=>  $name,
),'nb_apps/nb_woobooking/layouts/WooBooking/form/field/services.jquery.js');